Subject: Re: [PATCH v2] wl1251: add sysfs interface for bluetooth coexistence mode configuration

From: Kalle Valo <[email-masked]>
Date: Thu, 21 Jan 2016 15:48:14 +0200

Pali Rohár <[email-masked]> writes:

> On Thursday 14 January 2016 10:16:54 Pavel Machek wrote:
>> On Wed 2016-01-13 23:32:47, Arend van Spriel wrote:
>> > On 12/26/2015 12:45 PM, Pali Rohár wrote:
>> > >Port the bt_coex_mode sysfs interface from wl1251 driver version included
>> > >in the Maemo Fremantle kernel to allow bt-coexistence mode configuration.
>> > >This enables userspace applications to set one of the modes
>> > >WL1251_BT_COEX_OFF, WL1251_BT_COEX_ENABLE and WL1251_BT_COEX_MONOAUDIO.
>> > >The default mode is WL1251_BT_COEX_OFF.
>> > >It should be noted that this driver always enabled bt-coexistence before
>> > >and enabled bt-coexistence directly affects the receiving performance,
>> > >rendering it unusable in some low-signal situations. Especially monitor
>> > >mode is affected very badly with bt-coexistence enabled.
>> > 
>> > So what user-space process will be using this interface. Did you consider
>> > adding debugfs interface? In case of monitor mode you could consider
>> > disabling bt-coex from within the driver itself.
>> 
>> This aint no debugging feature.
>
> Right, bt-coex is not for debugging purpose, but for normal usage, when
> user want to use together bluetooth and wifi or just one of those.

I think most of other drivers have a debugfs interface for btcoex, I
guess mostly for testing purposes. But this really should be added to
cfg80211.

-- 
Kalle Valo